=== debian/changelog ===
pimd (2.1.2-2) unstable; urgency=low

  * Patch from Joachim to fix FTBFS issue (Closes: #595584)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sun, 05 Sep 2010 21:06:41 +0200

pimd (2.1.2-1) unstable; urgency=low

  * New upstream release
  * updated to the latest Debian policies
  * lintian cleanup

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sun, 05 Sep 2010 07:56:40 +0200

pimd (2.1.1-2) unstable; urgency=low

  * Update rules file with new section for pimd man page.  Moved to
    section 8 from 1.

 -- Joachim Nilsson <joachim.nilsson@member.fsf.org>  Thu, 27 May 2010 00:19:31 +0100

pimd (2.1.1-1) unstable; urgency=low

  * New upstream maintainer - Joachim Nilsson
  * Package built to follow upstream, Closes: #565716
  * updated to the latest Debian policies
  * added lintian override for empty-debian-diff as debian dir is maintained
    along the upstream sources

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Mon, 18 Jan 2010 18:38:39 +0100

pimd (2.1.0-alpha29.17-9) unstable; urgency=low

  * fixed rp_address handling on big endian machines, many thanks to Alexander
    Clouter for providing patch (Closes: #503116)
  * fixed Lintian warning debian-rules-ignores-make-clean-error
  * fixed Lintian warning package-uses-deprecated-debhelper-compat-version

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sun, 08 Feb 2009 15:26:23 +0100

pimd (2.1.0-alpha29.17-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added LSB formatted dependency info in init.d script (closes: #469226)

 -- Peter Eisentraut <petere@debian.org>  Thu, 03 Apr 2008 14:15:02 +0200

pimd (2.1.0-alpha29.17-8) unstable; urgency=low

  * explicit removal of
    removed include/linux/netinet/in.h
    removed include/linux/netinet/in-slackware.h

    thanks Julien, Closes: #423516, #422591

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Mon, 06 Aug 2007 02:04:31 +0000

pimd (2.1.0-alpha29.17-7) unstable; urgency=high

  * included patch from Prasanna Krishnamoorthy, Closes #422591
    removed include/linux/netinet/in.h
    removed include/linux/netinet/in-slackware.h

    goal is to fix missing reference to ntohl()

  * init script works with newer kernels, Closes #231677

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Mon, 07 May 2007 19:14:32 +0000

pimd (2.1.0-alpha29.17-6) unstable; urgency=low

  * #287318 is not a bug since previsou release, closes #287318
  * rules correction, closes #268475
  * int pid removed from defs.h, closes #287915

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 28 Jan 2005 11:11:18 +0100

pimd (2.1.0-alpha29.17-5) unstable; urgency=low

  * /etc/pimd.conf added to conffiles, closes #287318

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Thu,  6 Jan 2005 23:18:36 +0100

pimd (2.1.0-alpha29.17-4) unstable; urgency=low

  * Addapted patch for staticRP support by Peter Mann, please refer to
    README.Debian

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 10 Aug 2004 10:53:15 +0200

pimd (2.1.0-alpha29.17-3) unstable; urgency=low

  * Changed description, kernel patch is not longer needed

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sat, 31 May 2003 08:48:11 +0200

pimd (2.1.0-alpha29.17-2) unstable; urgency=low

  * Changed path of pid file

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Mon,  7 Apr 2003 19:50:09 +0200

pimd (2.1.0-alpha29.17-1) unstable; urgency=low

  * Initial Release, closes #186454

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Thu, 27 Mar 2003 10:12:47 +0100
