=== debian/control ===
Source: pimd
Section: net
Priority: optional
Maintainer: Antonin Kral <A.Kral@sh.cvut.cz>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.1

Package: pimd
Architecture: any
Homepage: http://github.com/troglobit/pimd
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: mrouted
Description: multicast routing daemon (PIMv2)
 pimd is implementation of Protocol Independent Multicast routing daemon.
 It supports PIMv2-SM on FreeBSD, NetBSD, OpenBSD, Linux. Enabled PIM support
 in kernel is needed.
