## pimd 2.1.6-1

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 #
 
 # VERSION      ?= $(shell git tag -l | tail -1)
-VERSION      ?= 2.1.2
+VERSION      ?= 2.1.6
 EXEC          = pimd
 CONFIG        = $(EXEC).conf
 PKG           = $(EXEC)-$(VERSION)
@@ -52,7 +52,7 @@
 
 ## Common
 CFLAGS        = $(MCAST_INCLUDE) $(SNMPDEF) $(RSRRDEF) $(INCLUDES) $(DEFS) $(USERCOMPILE)
-CFLAGS       += -O2 -W -Wall -Werror
+CFLAGS       += -O2 -W -Wall -Werror -fno-strict-aliasing
 #CFLAGS       += -O -g
 LDLIBS        = $(SNMPLIBDIR) $(SNMPLIBS) $(EXTRA_LIBS)
 OBJS          = $(IGMP_OBJS) $(ROUTER_OBJS) $(PIM_OBJS) $(DVMRP_OBJS) \
@@ -61,7 +61,7 @@
 DEPS          = $(addprefix .,$(SRCS:.c=.d))
 MANS          = $(addsuffix .8,$(EXEC))
 DISTFILES     = README README.config README.config.jp README.debug \
-		CHANGES INSTALL LICENSE LICENSE.mrouted \
+		ChangeLog INSTALL LICENSE LICENSE.mrouted \
 		TODO CREDITS FAQ AUTHORS
 
 LINT          = splint
@@ -117,7 +117,7 @@
 dist:
 	@echo "Building bzip2 tarball of $(PKG) in parent dir..."
 	git archive --format=tar --prefix=$(PKG)/ $(VERSION) | bzip2 >../$(ARCHIVE)
-	@(cd ..; md5sum $(ARCHIVE))
+	@(cd ..; md5sum $(ARCHIVE) | tee $(ARCHIVE).md5)
 
 build-deb:
 	@echo "Building .deb if $(PKG)..."
