=== debian/changelog ===
pimd (2.1.6-1) unstable; urgency=low

  * New upstream version changing location of dump file(s) to
    /var/lib/misc, CVE-2011-0007, Closes: Bug#609304

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sat, 08 Jan 2011 23:54:41 +0100

pimd (2.1.5-4) unstable; urgency=low

  * Added oknodo to s-s-d in init.d script for stop action
    Closes: Bug#609116

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sat, 08 Jan 2011 17:56:48 +0100

pimd (2.1.5-3) unstable; urgency=low

  * fix for regression of unused parameter on *bsd, 
    Closes: Bug#608711 (commit 6eaff4dc495ff67933a4)
  * add -Werror to debian/rules

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Mon, 03 Jan 2011 09:22:25 +0100

pimd (2.1.5-2) unstable; urgency=low

  * make package a conflict to smcroute
    https://bugs.launchpad.net/ubuntu/+source/pimd/+bug/362274

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 10 Dec 2010 13:26:10 +0100

pimd (2.1.5-1) unstable; urgency=low

  * New upstream release.
  * Fix pimd exiting with "setsockopt MRT_DEL_VIF on vif 3: Invalid argument"
    when an interface goes down.  Caused by invalid argument to MRT_DEL_VIF
    on Linux kernels.  *BSD systems not affected.

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sun, 21 Nov 2010 09:53:57 +0100

pimd (2.1.4-1) unstable; urgency=low

  * New upstream release
  * A serious bcopy()/memcpy() replacement bug in 2.1.3 was fixed.
  * More updates were made for Debian GNU/kFreeBSD.

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sat, 25 Sep 2010 19:26:34 +0200

pimd (2.1.3-1) unstable; urgency=low

  * New upstream release (Closes: #596117)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 10 Sep 2010 13:51:47 +0200
