=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
-CFLAGS = -Wall -g
+CFLAGS = -Wall -Werror -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -60,7 +60,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs CHANGES
+	dh_installchangelogs
 	dh_installdocs
 	dh_installexamples
 #	dh_install
