=== debian/changelog ===
pimd (2.1.6-1ubuntu1) oneiric; urgency=low

  * Don't build with -Werror. Closes: #634393. LP: #832860.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Sep 2011 09:17:51 +0200
