## pimd 2.1.8-2

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 #
 
 # VERSION      ?= $(shell git tag -l | tail -1)
-VERSION      ?= 2.1.6
+VERSION      ?= 2.1.8
 EXEC          = pimd
 CONFIG        = $(EXEC).conf
 PKG           = $(EXEC)-$(VERSION)
@@ -40,7 +40,7 @@
 
 IGMP_OBJS     = igmp.o igmp_proto.o trace.o
 ROUTER_OBJS   = inet.o kern.o main.o config.o debug.o netlink.o routesock.o \
-		vers.o callout.o ${RSRR_OBJS}
+		vers.o callout.o
 PIM_OBJS      = route.o vif.o timer.o mrt.o pim.o pim_proto.o rp.o
 DVMRP_OBJS    = dvmrp_proto.o
 
@@ -51,8 +51,8 @@
 include snmp.mk
 
 ## Common
-CFLAGS        = $(MCAST_INCLUDE) $(SNMPDEF) $(RSRRDEF) $(INCLUDES) $(DEFS) $(USERCOMPILE)
-CFLAGS       += -O2 -W -Wall -fno-strict-aliasing
+CFLAGS       += $(MCAST_INCLUDE) $(SNMPDEF) $(RSRRDEF) $(INCLUDES) $(DEFS) $(USERCOMPILE)
+CFLAGS       += -O2 -W -Wall -Werror -fno-strict-aliasing
 #CFLAGS       += -O -g
 LDLIBS        = $(SNMPLIBDIR) $(SNMPLIBS) $(EXTRA_LIBS)
 OBJS          = $(IGMP_OBJS) $(ROUTER_OBJS) $(PIM_OBJS) $(DVMRP_OBJS) \
