=== debian/control ===
Source: pimd
Section: net
Priority: optional
Maintainer: Antonin Kral <A.Kral@sh.cvut.cz>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: debhelper (>= 9), dh-systemd (>= 1.5)
Standards-Version: 3.9.6
Homepage: http://github.com/troglobit/pimd
Vcs-Git: https://github.com/bobek/pkg-pimd.git
Vcs-Browser: https://github.com/bobek/pkg-pimd/tree/debian/sid

Package: pimd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: mrouted, smcroute
Description: multicast routing daemon (PIMv2)
 pimd is implementation of Protocol Independent Multicast routing daemon.
 It supports PIMv2-SM/SSM on FreeBSD, NetBSD, OpenBSD, Linux. Enabled PIM
 support in kernel is needed.
