=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --with systemd


override_dh_auto_configure:
	./configure --prefix=/usr --sysconfdir=/etc

override_dh_auto_clean:
	touch config.mk
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install
	rm $(CURDIR)/debian/pimd/usr/share/doc/pimd/LICENSE
	rm $(CURDIR)/debian/pimd/usr/share/doc/pimd/LICENSE.mrouted
	rm $(CURDIR)/debian/pimd/usr/share/doc/pimd/INSTALL.md
	mv $(CURDIR)/debian/pimd/usr/share/doc/pimd/ChangeLog.org \
		$(CURDIR)/debian/pimd/usr/share/doc/pimd/changelog

override_dh_auto_test:

.PHONY: override_dh_auto_clean override_dh_auto_configure \
	override_dh_auto_install override_dh_auto_test
