=== debian/changelog ===
pimd (2.3.2-4) unstable; urgency=medium

  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Drop `lsb-base`.

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Thu, 20 Jul 2023 16:21:15 +0000

pimd (2.3.2-3) unstable; urgency=medium

  * Fix FTCBFS: Pass CC to make. (Closes: #941678)
    Special thanks to Helmut Grohne
  * Bump compat level to 12 and replace dh-systemd with dh_installsystemd

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Mon, 07 Oct 2019 11:28:22 +0200

pimd (2.3.2-2) unstable; urgency=medium

  * Bump Standards to 3.9.8; no changes needed
  * Enable all hardening flags
  * Depend on lsb-base for the initscript
  * pimd.service: add Documentation key

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 23 Jan 2017 12:33:14 +0200

pimd (2.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Mon, 14 Mar 2016 11:17:00 +0100
