=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Antonin Kral <A.Kral@sh.cvut.cz>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 9), dh-systemd (>= 1.5)
-Standards-Version: 3.9.6
-Homepage: http://github.com/troglobit/pimd
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.5.0
+Homepage: https://github.com/troglobit/pimd
 Vcs-Git: https://github.com/bobek/pkg-pimd.git
 Vcs-Browser: https://github.com/bobek/pkg-pimd/tree/debian/sid
 
 Package: pimd
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: mrouted, smcroute
 Description: multicast routing daemon (PIMv2)
