=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,18 @@
 #!/usr/bin/make -f
 
-# Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+include /usr/share/dpkg/buildtools.mk
 
 %:
-	dh $@ --with systemd
-
+	dh $@
 
 override_dh_auto_configure:
 	./configure --prefix=/usr --sysconfdir=/etc
+
+override_dh_auto_build:
+	dh_auto_build -- 'CC=$(CC)'
 
 override_dh_auto_clean:
 	touch config.mk
@@ -16,6 +20,7 @@
 
 override_dh_auto_install:
 	dh_auto_install
+	dh_installsystemd
 	rm $(CURDIR)/debian/pimd/usr/share/doc/pimd/LICENSE
 	rm $(CURDIR)/debian/pimd/usr/share/doc/pimd/LICENSE.mrouted
 	rm $(CURDIR)/debian/pimd/usr/share/doc/pimd/INSTALL.md
